---
title: "Get a journal"
slug: "get-a-journal"
updated: 2025-09-26T20:02:37Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a journal

Get/api/v1/finance/journals

Get an existing journal.

		
			

**Description**

This endpoint retrieves existing journals from the financial accounting administration by utilizing the journal code. The journal codes are standard available in the Bloxs application and get be configured to some extend. A journal is an umbrella for multiple journal posts.

If the user does not know the correct journal code, the filter can be used to retrieve all available codes.

**Use Case**

The user wants to retrieve a specific journal in order to display to which ledger account it is related.

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| code | Journal code. In some cases, it can be entered manually. |

**Response fields**

The 200 response contains the fields in the table below. For the GET operation it gives a up-to-date insight in the data that is currently registered in Bloxs.

| Field | Description |
| --- | --- |
| code | Code for the compaction. |
| name | Name of the compaction. |
| ledgerAccountCode | Ledger account code. |
| specificForOwnerReference | If the general ledger account is restricted to a single user within Bloxs, the reference of that relation is entered here. It can contain only one reference or remain empty. This is the same value as 'specificForOwnerReference' in the ledger account if they are linked. |
| lastModified | Timestamp of the last modification within Bloxs (determined by Bloxs). |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Query parameterscodestringRequired

The internal identifier of the model (i.e. Reference, Code, Name, depends on model).

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='4316b431-950a-48bc-b686-431a246eb905'>application/json</option>
</select>object  codestring   | null  Min length0Max length12
namestring   | null  Min length0Max length256
ledgerAccountCodestring   | null  Min length0Max length12
specificForOwnerReferencestring   | null  
lastModifiedstring  (date-time)    

404

The requested journal was not found.
